#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

import inspect
import copy

class Room:
    def __init__(self, kind, square_meters):
        self.kind = kind
        self.square_meters = square_meters

class House :
    def __init__(self):
        self.__rooms = []

    def __del__(self) :
        print('destroying house')

    def add(self, kind, square_meters):
        self.__rooms.append(Room(kind, square_meters))

    def get_bedroom(self) :
        return self.__rooms[0]

    def show(self):
        txt ='In house:'
        for rm in self.__rooms:
            txt += '\n• {} {}'.format(rm.kind, rm.square_meters)
        return txt


def house_problem():
    hs = House()
    
    for i in range(4):
        hs.add('bedroom', 16+i)
    
    print(hs.show())
    br = hs.get_bedroom()
    print('returning {} {}'.format(br.kind, br.square_meters))
    return br


if __name__=='__main__':

    br = house_problem()

    print('obtained {} {}'.format(br.kind, br.square_meters))

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
